# SableCC 3 - STUPS version

This work is based on SableCC 3.6 by Etienne Gagnon and others.

Our version of SableCC enriches the abstract syntax tree with information about tokens. 
Contributors to the extension of SableCC are:

- Fabian Fritz
- Marc Büngener
- Jens Bendisposto
- Joy Clark
- Sebastian Krings
- Domnink Hansen
- Michael Leuschel
- D. Geleßus

The authors of the original SableCC version this work is based on are listed in the AUTHORS file.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

## License

This derived work is, like SableCC, covered by the GNU Lesser General Public License. You can view the copyright notice and the exact terms of the license in the files LICENSE, AUTHORS and COPYING-LESSER.

## Building

* Clone the repository.
* Run the `assemble` target using Gradle (`./gradlew assemble` on Linux/macOS/etc., `gradlew.bat assemble` on Windows).
* The binary is located in the build/libs subdirectory.

## Documentation

You can find complete and detailed documentation on the SableCC framework and syntax at the site http://sablecc.org/documentation.html
